# artifact.h File Reference

Go to the source code of this file.

## Functions

MagickExport char * | GetNextImageArtifact (const Image *)
MagickExport char ** | RemoveImageArtifact (Image *, const char *)
MagickExport const char * | GetImageArtifact (const Image *, const char *)
MagickExport MagickBooleanType | CloneImageArtifacts (Image *, const Image *)
MagickExport MagickBooleanType | DefineImageArtifact (Image *, const char *)
MagickExport MagickBooleanType | DeleteImageArtifact (Image *, const char *)
MagickExport MagickBooleanType | SetImageArtifact (Image *, const char *, const char *)
MagickExport void | DestroyImageArtifacts (Image *)
MagickExport void | ResetImageArtifactIterator (const Image *)

## Function Documentation

MagickExport MagickBooleanType CloneImageArtifacts | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |

MagickExport MagickBooleanType DefineImageArtifact | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageArtifact | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void DestroyImageArtifacts | ( | Image * |  | ) |

MagickExport const char* GetImageArtifact | ( | const Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport char* GetNextImageArtifact | ( | const Image * |  | ) |

MagickExport char* * RemoveImageArtifact | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void ResetImageArtifactIterator | ( | const Image * |  | ) |

MagickExport MagickBooleanType SetImageArtifact | ( | Image * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |